## ros-one-julius 2.1.31-19jammy.20251023.0742

=== debian/changelog ===
ros-one-julius (2.1.31-19jammy.20251023.0742) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 23 Oct 2025 07:42:29 +0000

ros-one-julius (2.1.31-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 13 May 2025 00:00:00 -0000

ros-one-julius (2.1.30-0jammy) jammy; urgency=high

  * [ros-o] julius: use system install julius, download dictation and grammer kit by script (#518 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/518>)
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-julius (2.1.29-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 05 Jan 2025 00:00:00 -0000

ros-one-julius (2.1.28-0jammy) jammy; urgency=high

  * fix build farm (#487 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/487>)
    * julius: fix location URLs, because osdn is too slow
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 24 Jul 2023 00:00:00 -0000

ros-one-julius (2.1.27-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 24 Jun 2023 00:00:00 -0000

ros-one-julius (2.1.26-0jammy) jammy; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 14 Jun 2023 00:00:00 -0000

ros-one-julius (2.1.25-0jammy) jammy; urgency=high

  * julius: Use DEB_TARGET_GNU_TYPE to fix https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/467 (#470 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/470>)
  * GA: enable melodic/aarch64 (#432 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/432>)
  * fix catkin build stacks in GA (#316 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/316>)
    
      * use wget to download from osdn, to use mirror site
      * download .zip file from https://osdn.net/dl/julius/
    
  * Contributors: Aoi Nakane, Kei Okada, Naoto Tsukamoto, Naoya Yamaguchi, Shingo Kitagawa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-julius (2.1.24-0jammy) jammy; urgency=high

  * use latest config.guess.patch for https://github.com/ros/rosdistro/pull/30279 (#275 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/275>)
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 26 Jul 2021 00:00:00 -0000

ros-one-julius (2.1.23-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 21 Jul 2021 00:00:00 -0000

ros-one-julius (2.1.22-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 10 Jun 2021 00:00:00 -0000

ros-one-julius (2.1.21-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-julius (2.1.20-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-julius (2.1.19-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 21 Jul 2020 00:00:00 -0000

ros-one-julius (2.1.18-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Jul 2020 00:00:00 -0000

ros-one-julius (2.1.17-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-julius (2.1.16-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-julius (2.1.15-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000

ros-one-julius (2.1.14-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 21 Nov 2019 00:00:00 -0000

ros-one-julius (2.1.13-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jul 2019 00:00:00 -0000

ros-one-julius (2.1.12-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 25 May 2019 00:00:00 -0000

ros-one-julius (2.1.11-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 29 Aug 2018 00:00:00 -0000

ros-one-julius (2.1.10-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 25 Apr 2018 00:00:00 -0000

ros-one-julius (2.1.9-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 24 Apr 2018 00:00:00 -0000

ros-one-julius (2.1.8-0jammy) jammy; urgency=high

  * julius: add wget to dependencies (#138 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/138>)
  * Contributors: Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 17 Apr 2018 00:00:00 -0000

ros-one-julius (2.1.7-0jammy) jammy; urgency=high

  * julius: add rsync & unzip to run_depend (#134 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/134>)
  * Contributors: Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-one-julius (2.1.6-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 21 Nov 2017 00:00:00 -0000

ros-one-julius (2.1.5-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Nov 2017 00:00:00 -0000

ros-one-julius (2.1.4-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 16 Jul 2017 00:00:00 -0000

ros-one-julius (2.1.3-0jammy) jammy; urgency=high

  * add unzip to build_depend ( #114 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/114> )
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 07 Jul 2017 00:00:00 -0000

ros-one-julius (2.1.2-0jammy) jammy; urgency=high

  * [julius][package.xml] add rsync to run_depend (#112 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/112>)
  * Contributors: Yui Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 06 Jul 2017 00:00:00 -0000

ros-one-julius (2.1.1-0jammy) jammy; urgency=high



## ros-one-julius 2.1.31-19noble.20251023.0747

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(julius)

find_package(catkin REQUIRED)

catkin_package()

set(MD5SUM_DIR ${PROJECT_SOURCE_DIR}/md5sum)
set(PATCH_DIR ${PROJECT_SOURCE_DIR}/patch)
set(INSTALL_DIR ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION})

add_custom_command(
  OUTPUT julius_installed
  COMMAND make -f ${PROJECT_SOURCE_DIR}/Makefile.julius MD5SUM_DIR=${MD5SUM_DIR} PATCH_DIR=${PATCH_DIR} INSTALL_DIR=${INSTALL_DIR}
)

add_custom_command(
  OUTPUT grammar_kit_installed
  COMMAND make -f ${PROJECT_SOURCE_DIR}/Makefile.grammar-kit MD5SUM_DIR=${MD5SUM_DIR} PATCH_DIR=${PATCH_DIR} INSTALL_DIR=${INSTALL_DIR}
)

add_custom_command(
  OUTPUT dictation_kit_installed
  COMMAND make -f ${PROJECT_SOURCE_DIR}/Makefile.dictation-kit MD5SUM_DIR=${MD5SUM_DIR} PATCH_DIR=${PATCH_DIR} INSTALL_DIR=${INSTALL_DIR}
)

# on ROS-O do not download grammer_kit, dictation_kit, instead install download script
if(NOT $ENV{ROS_DISTRO} STREQUAL "debian")
add_custom_target(all_installed ALL DEPENDS julius_installed grammar_kit_installed dictation_kit_installed)

install(DIRECTORY
  ${INSTALL_DIR}/bin
  ${INSTALL_DIR}/SampleGrammars
  ${INSTALL_DIR}/SampleGrammars_en
  ${INSTALL_DIR}/conf
  ${INSTALL_DIR}/include
  ${INSTALL_DIR}/lib
  ${INSTALL_DIR}/model
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)
else()
install(PROGRAMS
  download_julius_data.sh
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(FILES
  Makefile.grammar-kit
  Makefile.dictation-kit
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(FILES
  md5sum/dictation-kit-v4.4.zip.md5sum
  md5sum/grammar-kit-v4.3.1.tar.gz.md5sum
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/md5sum)
endif()

=== debian/changelog ===
ros-one-julius (2.1.31-19noble.20251023.0747) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 23 Oct 2025 07:47:31 +0000

ros-one-julius (2.1.31-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 13 May 2025 00:00:00 -0000

ros-one-julius (2.1.30-0noble) noble; urgency=high

  * [ros-o] julius: use system install julius, download dictation and grammer kit by script (#518 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/518>)
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-julius (2.1.29-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 05 Jan 2025 00:00:00 -0000

ros-one-julius (2.1.28-0noble) noble; urgency=high

  * fix build farm (#487 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/487>)
    * julius: fix location URLs, because osdn is too slow
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 24 Jul 2023 00:00:00 -0000

ros-one-julius (2.1.27-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 24 Jun 2023 00:00:00 -0000

ros-one-julius (2.1.26-0noble) noble; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 14 Jun 2023 00:00:00 -0000

ros-one-julius (2.1.25-0noble) noble; urgency=high

  * julius: Use DEB_TARGET_GNU_TYPE to fix https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/467 (#470 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/470>)
  * GA: enable melodic/aarch64 (#432 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/432>)
  * fix catkin build stacks in GA (#316 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/316>)
    
      * use wget to download from osdn, to use mirror site
      * download .zip file from https://osdn.net/dl/julius/
    
  * Contributors: Aoi Nakane, Kei Okada, Naoto Tsukamoto, Naoya Yamaguchi, Shingo Kitagawa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-julius (2.1.24-0noble) noble; urgency=high

  * use latest config.guess.patch for https://github.com/ros/rosdistro/pull/30279 (#275 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/275>)
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 26 Jul 2021 00:00:00 -0000

ros-one-julius (2.1.23-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 21 Jul 2021 00:00:00 -0000

ros-one-julius (2.1.22-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 10 Jun 2021 00:00:00 -0000

ros-one-julius (2.1.21-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-julius (2.1.20-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-julius (2.1.19-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 21 Jul 2020 00:00:00 -0000

ros-one-julius (2.1.18-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Jul 2020 00:00:00 -0000

ros-one-julius (2.1.17-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-julius (2.1.16-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-julius (2.1.15-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000

ros-one-julius (2.1.14-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 21 Nov 2019 00:00:00 -0000

ros-one-julius (2.1.13-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jul 2019 00:00:00 -0000

ros-one-julius (2.1.12-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 25 May 2019 00:00:00 -0000

ros-one-julius (2.1.11-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 29 Aug 2018 00:00:00 -0000

ros-one-julius (2.1.10-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 25 Apr 2018 00:00:00 -0000

ros-one-julius (2.1.9-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 24 Apr 2018 00:00:00 -0000

ros-one-julius (2.1.8-0noble) noble; urgency=high

  * julius: add wget to dependencies (#138 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/138>)
  * Contributors: Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 17 Apr 2018 00:00:00 -0000

ros-one-julius (2.1.7-0noble) noble; urgency=high

  * julius: add rsync & unzip to run_depend (#134 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/134>)
  * Contributors: Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-one-julius (2.1.6-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 21 Nov 2017 00:00:00 -0000

ros-one-julius (2.1.5-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Nov 2017 00:00:00 -0000

ros-one-julius (2.1.4-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 16 Jul 2017 00:00:00 -0000

ros-one-julius (2.1.3-0noble) noble; urgency=high

  * add unzip to build_depend ( #114 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/114> )
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 07 Jul 2017 00:00:00 -0000

ros-one-julius (2.1.2-0noble) noble; urgency=high

  * [julius][package.xml] add rsync to run_depend (#112 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/112>)
  * Contributors: Yui Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 06 Jul 2017 00:00:00 -0000

ros-one-julius (2.1.1-0noble) noble; urgency=high



=== debian/control ===
Source: ros-one-julius
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-mk, ros-one-roslib, ros-one-rospack, rsync, unzip, wget
Homepage: http://ros.org/wiki/julius
Standards-Version: 3.9.2

Package: ros-one-julius
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rsync, unzip, wget
Description: julius: Open-Source Large Vocabulary CSR Engine (http://julius.sourceforge.jp/index.php)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-julius//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
